<?php

/**
 * Fired during plugin activation
 *
 * @link 		https://lin3s.com
 * @since 		1.0.0
 *
 * @package 	Alexandria_Conversation_Builder
 * @subpackage 	Alexandria_Conversation_Builder/includes
 */

class Alexandria_Conversation_Builder_Activator {

	/**
	 * Declare custom post types, taxonomies, and plugin settings
	 * Flushes rewrite rules afterwards
	 *
	 * @since 		1.0.0
	 */
	public static function activate() {

		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/alexandria-conversation-builder-admin.php';

		flush_rewrite_rules();

		$opts 		= array();
		$options 	= Alexandria_Conversation_Builder_Admin::get_options_list();

		foreach ( $options as $option ) {

			$opts[ $option[0] ] = $option[2];

		}

		update_option( 'alexandria-conversation-builder-options', $opts );

		Alexandria_Conversation_Builder_Admin::add_admin_notices();

	} // activate()
} // class
