function makeConversation() {

	let data = jQuery('#alexandria-hidden-form').serialize();
	data += '&action=alexandria_get_cutom_post_metadata_ajax';
	data += '&alexandria_get_cutom_post_metadata_action=metadata';

	let url = jQuery('#ajax_url').val();

	jQuery.post(url, data, function(response) {

		var server_data = JSON.parse(response);

		console.log(server_data);
		
		current_section = jQuery('#tono-section');
		next_section = jQuery('#tabs-section');

		current_section.fadeOut();
		current_section.removeClass('active');

		jQuery('#alexandriaLoading').show();

		if(server_data.length == 0){
			jQuery('#alexandriaLoading').delay(1000).hide();
			jQuery('#conversation-not-found').delay(3000).addClass('visible');
			return false;
		}

		var conversation = [server_data].map((item) => {
			return item['conversation'];
		});

		var metadata = [server_data].map((item) => {
			return item['metadata'];
		});

		if(metadata[0]['objectives'] != undefined && metadata[0]['objectives'].length != 0) {	

			if(metadata[0]['objectives']['post_title'] != '') {
				jQuery('#objective_title').html(metadata[0]['objectives']['post_title']);
			} else {
				jQuery('#objective_description').html(translated_strings.no_objective_text);
			}

			if(metadata[0]['objectives']['post_content'] != '') {
				jQuery('#objective_description').html(metadata[0]['objectives']['post_content']);
			} else {
				jQuery('#objective_description').html(translated_strings.no_objective_description_text);
			}

		} else {
			jQuery('#objective_title').html(translated_strings.no_objective_text);
			jQuery('#objective_description').html(translated_strings.no_objective_description_text);
		}

		if(metadata[0]['soliloquios'] != undefined && metadata[0]['soliloquios'].length != 0) {

			for (var $i = 0; $i < metadata[0]['soliloquios'].length; $i++) {

				if($i == 0){
					jQuery('#soliloquio_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['soliloquios'][$i]['post_title'] + '</span>');
					jQuery('#soliloquio_title_hidden').append('<span class="item-text" id="sol-'+$i+'">'+ metadata[0]['soliloquios'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#soliloquio_title_hidden').append('<span class="item-text" id="sol-'+$i+'">'+ metadata[0]['soliloquios'][$i]['post_title'] + '</span>');
				}

			}

			var max = jQuery('#soliloquio_title_hidden span').length;

			if(max == 1) {
				jQuery('#soliloquio_block').find('.change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#soliloquio_title').html(translated_strings.no_soliloquios_text);
			jQuery('#soliloquio_block').find('.change-button-section').css('display', 'none');
		}

		if(metadata[0]['conclusions'] != undefined && metadata[0]['conclusions'].length != 0) {

			for (var $i = 0; $i < metadata[0]['conclusions'].length; $i++) {

				if($i == 0){
					jQuery('#conclusions_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['conclusions'][$i]['post_title']+ '</span>');
					jQuery('#conclusions_title_hidden').append('<span class="item-text" id="con-'+$i+'">'+ metadata[0]['conclusions'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#conclusions_title_hidden').append('<span class="item-text" id="con-'+$i+'">'+ metadata[0]['conclusions'][$i]['post_title'] + '</span>');
				}

			}

			var max = jQuery('#conclusions_title_hidden span').length;

			if(max == 1) {
				jQuery('#conclusions_block').find('.change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#conclusions_title').append('<span class="item-text">'+translated_strings.no_conclusions_text+'</span>');
			jQuery('#conclusions_block').find('.change-button-section').css('display', 'none');
		}


		if(metadata[0]['decisions'] != undefined && metadata[0]['decisions'].length != 0) {

			for (var $i = 0; $i < metadata[0]['decisions'].length; $i++) {

				if($i == 0){
					jQuery('#decisions_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['decisions'][$i]['post_title']+ '</span>');
					jQuery('#decisions_title_hidden').append('<span class="item-text" id="des-'+$i+'">'+ metadata[0]['decisions'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#decisions_title_hidden').append('<span class="item-text" id="des-'+$i+'">'+ metadata[0]['decisions'][$i]['post_title'] + '</span>');
				}

			}

			var max = jQuery('#decisions_title_hidden span').length;

			if(max == 1) {
				jQuery('#decisions_block').find('.change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#decisions_title').append('<span class="item-text">'+translated_strings.no_decisions_text+'</span>');
			jQuery('#decisions_block').find('.change-button-section').css('display', 'none');
		}

		if(metadata[0]['expect_results'] != undefined && metadata[0]['expect_results'].length != 0) {

			for (var $i = 0; $i < metadata[0]['expect_results'].length; $i++) {

				if($i == 0){
					jQuery('#expect_results_title').append('<span class="item-text" data-order="'+$i+'">'+ metadata[0]['expect_results'][$i]['post_title']+ '</span>');
					jQuery('#expect_results_title_hidden').append('<span class="item-text" id="exp-'+$i+'">'+ metadata[0]['expect_results'][$i]['post_title'] + '</span>');
				} else {
					jQuery('#expect_results_title_hidden').append('<span class="item-text" id="exp-'+$i+'">'+ metadata[0]['expect_results'][$i]['post_title'] + '</span>');
				}

			}

			var max = jQuery('#expect_results_title_hidden span').length;

			if(max == 1) {
				jQuery('#expect_results_block').find('.change-button-section').css('display', 'none');
			}

		} else {
			jQuery('#expect_results_title').append('<span class="item-text">'+translated_strings.no_expect_results_text+'</span>');
			jQuery('#expect_results_block').find('.change-button-section').css('display', 'none');
		}


		// PREPARATION SECTION
		if(metadata[0]['strong_questions'] != undefined) {

			console.log(metadata[0]['strong_questions'].length);

			for (var $i = 0; $i < metadata[0]['strong_questions'].length; $i++) {

				if(jQuery('#category-question-item-'+ metadata[0]['strong_questions'][$i]['category']['term_id']).length == 0) {
					jQuery('#preguntas_potentes_wrapper').append('<div id="category-question-item-'+ metadata[0]['strong_questions'][$i]['category']['term_id']+'" class="category-question-item"><span class="item-text">-'+ metadata[0]['strong_questions'][$i]['category']['name'] + '</span></div><div id="category-question-items-container-'+ metadata[0]['strong_questions'][$i]['category']['term_id']+'"></div>');
				}
				
				if(metadata[0]['strong_questions'][$i]['video_type'] != 0) {
					let video_type = metadata[0]['strong_questions'][$i]['video_type'];

					jQuery('#category-question-items-container-'+ metadata[0]['strong_questions'][$i]['category']['term_id']).append('<div class="strong-question-item"><span class="item-text">'+ metadata[0]['strong_questions'][$i]['post_title'] + '</span><a class="open_video_modal" href="#" data-questionid="'+metadata[0]['strong_questions'][$i]['ID']+'"><span class="strong_question_icon" ><img src="'+translated_strings.images_path+'assets/images/boton_strong_questions.svg" /></span></a></div>');

					if(video_type == 'youtube') {

						let regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|&v=)([^#&?]*).*/;
						let match = metadata[0]['strong_questions'][$i]['video_id'].match(regExp);

						let videoId = (match && match[2].length === 11) ? match[2] : null;

						let video_youtube_block = '<div class="video-item" id="strong-'+metadata[0]['strong_questions'][$i]['ID']+'"><iframe src="https://www.youtube.com/embed/' + videoId + '" width="838" height="470" frameborder="0"></iframe></div>';
						jQuery('.hidden-video-area').append(video_youtube_block);
					}

					if(video_type == 'vimeo') {
						let video_vimeo_block = '<div class="video-item" id="strong-'+metadata[0]['strong_questions'][$i]['ID']+'"><iframe src="'+metadata[0]['strong_questions'][$i]['video_id']+'" width="838" height="470" frameborder="0"></iframe></div>';
						jQuery('.hidden-video-area').append(video_vimeo_block);
					}

					if(video_type == 'library') {
						let video_html_block = '<div class="video-item" id="strong-'+metadata[0]['strong_questions'][$i]['ID']+'"><video width="838" height="470" controls><source src="'+metadata[0]['strong_questions'][$i]['video_id']+'" type="video/mp4"></source>'+translated_strings.video_not_support_text+'</video></div>';
						jQuery('.hidden-video-area').append(video_youtube_block);
					}

				} else {
					jQuery('#category-question-items-container-'+ metadata[0]['strong_questions'][$i]['category']['term_id']).append('<div class="strong-question-item"><span class="item-text">'+ metadata[0]['strong_questions'][$i]['post_title'] + '</span></div>');
				}
			}

		} else {
			jQuery('#preguntas_potentes_wrapper').append('<span class="item-text">'+translated_strings.no_strong_questions_text+'</span>');
		}

		if(metadata[0]['relevance'] != undefined) {

			jQuery('#relevance_wrapper').append('<span class="item-text">'+ metadata[0]['relevance']['post_title']+ '</span>');

		} else {
			jQuery('#relevance_wrapper').append('<span class="item-text">'+translated_strings.no_relevance_text+'</span>');
		}

		if(metadata[0]['arguments'] != undefined) {

			for (var $i = 0; $i < metadata[0]['arguments'].length; $i++) {

				jQuery('#arguments_wrapper').append('<span class="item-text">'+ metadata[0]['arguments'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#arguments_wrapper').append('<span class="item-text">'+translated_strings.no_arguments_text+'</span>');
		}

		if(metadata[0]['viable_minimal'] != undefined && metadata[0]['viable_minimal'].length != 0) {

			for (var $i = 0; $i < metadata[0]['viable_minimal'].length; $i++) {
				jQuery('#viable_minimal_wrapper').append('<span class="item-text">'+ metadata[0]['viable_minimal'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#viable_minimal_wrapper').append('<span class="item-text">'+translated_strings.no_viable_minimal_text+'</span>');
		}


		if(metadata[0]['comments'] != undefined) {

			for (var $i = 0; $i < metadata[0]['comments'].length; $i++) {
				jQuery('#comments_wrapper').append('<span class="item-text">'+ metadata[0]['comments'][$i]['post_title']+ '</span>');
			} 

		} else {
			jQuery('#comments_wrapper').append('<span class="item-text">'+translated_strings.no_comments_text+'</span>');

			var title = '';
			var description = '';
		}

		if(metadata[0]['examples'] != undefined && metadata[0]['examples'].length != 0) {

			for (var $i = 0; $i < metadata[0]['examples'].length; $i++) {

				var title = "";
				var description = "";

				if(metadata[0]['examples'][$i]['post_title'] != '') {
					title = metadata[0]['examples'][$i]['post_title'];
				} else {
					title = translated_strings.no_example_text;
				}

				if(metadata[0]['examples'][$i]['post_content'] != '') {
					description = metadata[0]['examples'][$i]['content'];
				} else {
					description = translated_strings.no_example_description_text;
				}

				jQuery('#examples').append('<div class="example-principal"><span class="example-principal-title">'+title+'</span><span class="example-description">'+description+'</span></div>');
			}		

		} else {
			jQuery('#examples').append('<div class="example-principal"><span class="example-principal-title">'+translated_strings.example_title+'</span><span class="example-description">'+translated_strings.no_example_text+'</span></div>');
		}

		next_section.delay(3000).addClass('active');

		jQuery('#alexandriaLoading').hide();
	});
}

var getObjectSize = function(obj) {
	var len = 0, key;
	for (key in obj) {
		if (obj.hasOwnProperty(key)) len++;
	}
	return len;
};
