// Init builder
function initBuilder() {

	if(jQuery('#alexandria-section-container').length) {

		var bar_height = jQuery('.alexandria-main-title-container').height();
		var current_margin_top = jQuery("#alexandria-section-container").css('margin-top');

		if(current_margin_top == '0px') {
			jQuery("#alexandria-section-container").css('margin-top', bar_height);
		} else {
			jQuery("#alexandria-section-container").css('margin-top', parseInt(current_margin_top));
		}

	}

	jQuery('.tono-item').each(function(){

		var color = jQuery(this).data('color');
		var text_color = jQuery(this).data('text_color');
		var border_color = jQuery(this).data('border-color');

		jQuery(this).css('background-color', color);
		jQuery(this).find('span').css('color', text_color);
		jQuery(this).css('border-color', border_color);

	});

	/* CONTINUE BUTTON */
	if(jQuery('#alexandria-builder-button-continue').length) { 

		jQuery('#alexandria-builder-button-continue').on('click',function(e){
			e.stopPropagation();
			e.preventDefault();
			jQuery("html, body").animate({ scrollTop: 0 }, "fast");

			jQuery('.alexandria-builder-button-container').removeClass('visible');

			toggleCurrentSection();
		});
	}

	if(jQuery('#alexandria-builder-button-back').length) { 

		jQuery('#alexandria-builder-button-back').on('click',function(e){
			e.stopPropagation();
			e.preventDefault();
			jQuery("html, body").animate({ scrollTop: 0 }, "fast");

			jQuery('.alexandria-builder-button-container').removeClass('visible');
			
			goBackCurrentSection();
		});
	}

	jQuery('#back_to_init').on('click', function(e) {

		e.preventDefault();

		jQuery('#conversation-not-found').removeClass('visible');

		let section_id = jQuery('.alexandria-section.active').prop('id');
		let next_section = jQuery('#interlocutors-section');

		jQuery('.alexandria-builder-button-container').addClass('visible');

		next_section.addClass('active');
		next_section.fadeIn();
		
	});

	jQuery('.interlocutor-item').on('click', function(e) {

		e.preventDefault();

		var interlocutor_item = jQuery(this)
		var button_wrapper = jQuery('.alexandria-builder-button-container');

		var interlocutor_id = interlocutor_item.data('interlocutor_id');

		jQuery('#interlocutor_id').val(interlocutor_id);

		interlocutor_item.toggleClass('active');
		interlocutor_item.siblings().removeClass('active');

		if(interlocutor_item.hasClass('active')) {

			button_wrapper.addClass('visible');
			jQuery('#alexandria-builder-button-back').css('visibility', 'hidden');

			jQuery('html,body').animate({scrollTop: jQuery(".alexandria-builder-button-container").offset().top},'slow');

		} else {

			button_wrapper.removeClass('visible');

		}

	});

	jQuery('.situation-category-item').on('click', function(e) {
		e.stopPropagation();
		e.preventDefault();

		var allPanels = jQuery('.situation-category-item > .situation-panel').hide();

		allPanels.slideUp();

		let panel = jQuery(this).next();

		if (panel.css('display') === "flex") {
			jQuery(this).find('.alexandria-toggle-icon').removeClass('open');
			panel.css('display', "none");
		} else {
			panel.css('display', "flex");
			jQuery(this).find('.alexandria-toggle-icon').addClass('open');
		}

		return false;
	});


	jQuery('.situation-item').on('click', function(e) {
		e.preventDefault();

		jQuery('.situation-panel > .situation-item').removeClass('active');

		jQuery(this).toggleClass('active');

		jQuery(this).siblings().removeClass('active');

		var situation_id = jQuery(this).data('situation_id');

		jQuery('#situation_id').val(situation_id);

		var button = jQuery('.alexandria-builder-button-container');
		var elmnt = document.getElementById("alexandria-builder-button-continue");

		if(jQuery(this).hasClass('active')) {
			button.addClass('visible');
			jQuery('#alexandria-builder-button-back').css('visibility', 'visible');
			elmnt.scrollIntoView();
		} else {
			button.removeClass('visible');
		}

	});

	jQuery('#cross_close_modal').on('click', function(){
		jQuery('#modal_contacto').hide();
	});

	jQuery('.tono-item').on('mouseover', function(e) {
		e.preventDefault();

		if(tono_id == 0) return false;

		if(!jQuery(this).hasClass('active')) {
			jQuery(this).css('opacity', '0.8');
		}

	});

	jQuery('.tono-item').on('mouseout', function(e) {
		e.preventDefault();

		if(tono_id == 0) return false;

		if(!jQuery(this).hasClass('active')) { 
			jQuery(this).css('opacity', '1');
		} else {
			jQuery(this).css('opacity', '0.8');
		}

	});

	jQuery('.tono-item').on('click', function(e) {
		e.preventDefault();

		var tono_id = jQuery(this).data('tono_id');

		if(tono_id == 0) return false;

		jQuery(this).toggleClass('active');

		if(!jQuery(this).hasClass('active')) {
			jQuery(this).css('opacity', '1');
		} else {
			jQuery(this).css('opacity', '0.8');
			jQuery(this).siblings().css('opacity', '1');
		}

		jQuery('#tono_id').val(tono_id);

		var button = jQuery('.alexandria-builder-button-container');
		var elmnt = document.getElementById("alexandria-builder-button-continue");

		if(jQuery(this).hasClass('active')) {
			jQuery('#alexandria-builder-button-back').css('visibility', 'visible');
			button.addClass('visible');
			elmnt.scrollIntoView();
		} else {
			button.removeClass('visible');
		}
	});

	// Get the element with id="defaultOpen" and click on it
	document.getElementById("defaultOpen").click();

	jQuery('.alexandria-tab').on('click',function(e){

		var tabName = jQuery(this).data("tab");

		jQuery(this).toggleClass("active");
		jQuery(this).siblings().removeClass('active');

		jQuery(".tab").each(function(index, item) {
			jQuery(this).css('display', "none");
		});

		jQuery('#'+tabName).css('display', "flex");
	});

	jQuery('#toggle_information').on('click',function(e){
		e.preventDefault();

		jQuery(".kickoff-item").each(function( index ) {

			var text = jQuery( this ).find('.hidden-item');

			if(text.hasClass('show')) {
				text.removeClass('show');
			} else {
				text.addClass('show');
			}

		});
	});

	jQuery('.tab_button').on('click',function(e){
		e.preventDefault();

		jQuery(".kickoff-item").each(function( index ) {

			var text = jQuery( this ).find('.hidden-item');

			if(text.hasClass('show')) {
				text.removeClass('show');
			} else {
				text.addClass('show');
			}

		});
	});

	/* COPY ACTIONS */
	jQuery('#alexandria-builder-button-copy').on('click', function(e){
		e.preventDefault();
		copy_text_from_inputs();
	});

	jQuery('#alexandria-builder-button-copy').on('mouseout', function(){
		var tooltip = document.getElementById("button_copy_tooltip");
		tooltip.style.visibility = 'hidden';
		tooltip.style.opacity = 0;
	});

	jQuery('#alexandria-builder-button-help').on('click', function(){
		jQuery('#modal_contacto').show();
	});

	jQuery('.change_soliloquio_button').on('click', function(e){

		e.preventDefault();

		let position = jQuery(this).data('position');

		var order = jQuery('#soliloquio_title').find('span').data('order');
		var max = jQuery('#soliloquio_title_hidden span').length - 1;

		if(position == 'right') {
			if(order == max) {
				order = 0;
			} else {
				order++;
			}
		} else {
			if(order == 0) {
				order = max;
			} else {
				order--;
			}
		}

		var new_elem = jQuery('#sol-'+order);
		var new_value = new_elem.html();
		
		jQuery('#soliloquio_title').find('span').fadeOut();
		jQuery('#soliloquio_title').html('');
		jQuery('#soliloquio_title').append('<span class="item-text" data-order="'+order+'">'+new_value+'<span>').fadeIn();
	});

	jQuery('.change_conclusions_button').on('click', function(e){

		e.preventDefault();

		let position = jQuery(this).data('position');

		var order = jQuery('#conclusions_title').find('span').data('order');
		var max = jQuery('#conclusions_title_hidden span').length - 1;

		if(position == 'right') {
			if(order == max) {
				order = 0;
			} else {
				order++;
			}
		} else {
			if(order == 0) {
				order = max;
			} else {
				order--;
			}
		}

		var new_elem = jQuery('#con-'+order);
		var new_value = new_elem.html();
		
		jQuery('#conclusions_title').find('span').fadeOut();
		jQuery('#conclusions_title').html('');
		jQuery('#conclusions_title').append('<span class="item-text" data-order="'+order+'">'+new_value+'<span>').fadeIn();
	});

	jQuery('.change_decisions_button').on('click', function(e){

		e.preventDefault();

		let position = jQuery(this).data('position');

		var order = jQuery('#decisions_title').find('span').data('order');
		var max = jQuery('#decisions_title_hidden span').length - 1;

		if(position == 'right') {
			if(order == max) {
				order = 0;
			} else {
				order++;
			}
		} else {
			if(order == 0) {
				order = max;
			} else {
				order--;
			}
		}

		var new_elem = jQuery('#des-'+order);
		var new_value = new_elem.html();
		
		jQuery('#decisions_title').find('span').fadeOut();
		jQuery('#decisions_title').html('');
		jQuery('#decisions_title').append('<span class="item-text" data-order="'+order+'">'+new_value+'<span>').fadeIn();
	});

	jQuery('.change_expect_results_button').on('click', function(e){

		e.preventDefault();

		let position = jQuery(this).data('position');

		var order = jQuery('#expect_results_title').find('span').data('order');
		var max = jQuery('#expect_results_title_hidden span').length - 1;

		if(position == 'right') {
			if(order == max) {
				order = 0;
			} else {
				order++;
			}
		} else {
			if(order == 0) {
				order = max;
			} else {
				order--;
			}
		}

		var new_elem = jQuery('#exp-'+order);
		var new_value = new_elem.html();
		
		jQuery('#expect_results_title').find('span').fadeOut();
		jQuery('#expect_results_title').html('');
		jQuery('#expect_results_title').append('<span class="item-text" data-order="'+order+'">'+new_value+'<span>').fadeIn();
	});
}
