jQuery(function($){

	// Document Ready
	jQuery(document).ready(function() {

		if(jQuery('#wpadminbar').length) {
			var adminbar_height = jQuery('#wpadminbar').height();
			jQuery(".alexandria-main-title-container").css('margin-top', adminbar_height); 
		}

		if('#alexandria-title-block') {
			var title_height = jQuery('#alexandria-title-block').height();
			jQuery(".alexandria-builder__body-block").css('padding-top', title_height + 25); 
		}

		jQuery('.alexandria-start-game-button').on('click',function(e){
			e.preventDefault();
			let url = jQuery(this).data('url');
			startBuilder(url);
		});

	});

	// Start Builder
	function startBuilder(url) {

		let data = 'action=alexandria_conversation_builder_ajax';
		data += '&alexandria_conversation_builder_action=start';

		jQuery('#alexandria-main').find('.alexandria-builder-wrapper').fadeOut();
		jQuery('#alexandriaLoading').fadeIn();

		setTimeout(function(){
			postData(url, data);
		}, 1000);
	}

	// Get Conversation data from server
	function postData(url, data) {

		// console.log(data);
		jQuery.post(url, data, function(msg) {

			parts = msg.split("|ALEXANDRIACONVERSATIONBUILDER|");	  

			jQuery('#alexandria-builder-action').removeAttr('disabled');

			// redirect?
			if(parts[1].indexOf('[ALEXANDRIA_CONVERSATION_BUILDER_REDIRECT]') != -1) {

				jQuery('#alexandriaLoading').hide();

				var sparts = parts[1].split('[ALEXANDRIA_CONVERSATION_BUILDER_REDIRECT]');
				window.location=sparts[1];
			}
			else {
				jQuery('#alexandriaLoading').hide();

		  		// load next question or the final screen
		  		jQuery('#alexandria-main').html(parts[1]);	

				// hide/show "go ahead" button depending on comment in the HTML code
				if(parts[1].indexOf('<!--hide_go_ahead-->') != -1) jQuery('#alexandria-builder-action').hide();
				else jQuery('#alexandria-builder-action').show();		  	  

				initBuilder();

			}

			jQuery('#alexandriaLoading').hide();
		});
	}
	
});

