<?php

/**
 * The template Mail Builder.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

?>

<style>
	#site-header {
		display: none!important;
	}

	.entry-header {
		display: none!important;
	}

	#site-footer {
		display: none!important;
	}
</style>

<div class="alexandria-main-title-container">

	<div class="alexandria-main-title-wrapper">

		<div class="alexandria-main-title-inner">

			<div class="alexandria-title">
				<h1 class="alexandria-title-text">
					<?php _e('CONVERSATION BUILDER', 'alexandria-conversation-builder'); ?>
				</h1>
			</div>

			<?php $post_id = alexandria_conversation_builder_get_url_shortcode(); ?>

			<div class="alexandria-title-close">
				<a id="alexandria_close_button" href="<?php echo $post_url; ?>">
					<span class="alexandria-close-cross"></span>
				</a>
			</div>

		</div>

	</div>

</div>

<div id="alexandria-section-container">

	<div class="alexandria-section-wrapper">

		<!-- Main Section -->

		<?php include 'partials/interlocutors.php' ?>

		<?php include 'partials/situations.php' ?>

		<?php include 'partials/tonos.php' ?>

		<?php include 'partials/tabs_section.php' ?>

		<!-- End Main Section -->

		<!-- Buttons section -->
		<div class="alexandria-builder-button-container">

			<div class="alexandria-builder-button-wrapper inline">

				<a id="alexandria-builder-button-back" href="#">
					<?php _e('Atrás', 'alexandria-conversation-builder') ?>
				</a>

				<a id="alexandria-builder-button-continue" href="#">
					<?php _e('Siguiente', 'alexandria-conversation-builder') ?>
				</a>

			</div>

		</div>
		<!-- Button continue section -->

		<!-- Hiden Form -->
		<form id="alexandria-hidden-form" action="">
			<input type="hidden" value="<?php echo admin_url('admin-ajax.php')?>" id="ajax_url" />
			<input type="hidden" value="" name="interlocutor" id="interlocutor_id" />
			<input type="hidden" value="" name="situation" id="situation_id" />
			<input type="hidden" value="" name="tono" id="tono_id" />		
		</form>
		<!-- End Hiden Form -->

		<!-- Contact Form Modal -->
		<?php include 'elements/contact-modal.php' ?>
		<!-- End Contact Form Modal -->

		<!-- Video Modal -->
		<div id="alexandria-video-modal" class="modal-video" style="display: none;">

			<!-- Modal content-->
			<div class="modal-content">

				<div class="modal-cross-wrapper">
					<a id="cross_close_modal_video" href="#">
						<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/cancel.svg'?>" alt="">
					</a>
				</div>

				<div class="modal-header">
					<div class="modal-title-wrapper">
						<h4 id="video_modal_title" class="modal-title">
						</h4>
					</div>

				</div>

				<div id="video_modal_body" class="modal-body"></div>
				<div class="modal-footer"></div>
			</div>
			<!-- End Modal content-->

		</div>
		<!-- End Video Modal -->

		<div class="hidden-video-area">
		</div>

		<div class="hidden-text-area">
			<textarea id="textarea_clipboard" name="hidden_text_area" tabindex='-1' aria-hidden='true'></textarea>
		</div>

		<div id="conversation-not-found">

			<div class="text-section">
				<span><?php _e('Lo sentimos, no se ha encontrado ninguna conversación con esas características, vuelva atrás y seleccione otras características.', 'alexandria-conversation-builder'); ?></span>
			</div>

			<div class="button-section">
				<a id="back_to_init" href="#">
					<?php _e('Atrás', 'alexandria-conversation-builder') ?>
				</a>
			</div>

		</div>

	</div>

</div>

<script>
	jQuery(document).on('click', '.open_video_modal', function(e) {

		e.preventDefault();

		let question_id = jQuery(this).data('questionid');
		let question_title = jQuery(this).data('title');

		var new_block = jQuery('.hidden-video-area').find('#strong-'+question_id).clone();

		jQuery('#video_modal_body').append(new_block);
		jQuery('#video_modal_title').html(question_title);

		jQuery('.hidden-video-area').find('#strong-'+question_id).remove();


		jQuery('#alexandria-video-modal').show();
	});

	jQuery(document).on('click', '#cross_close_modal_video' , function(e) {
		e.preventDefault();

		jQuery('#alexandria-video-modal').hide();

		var new_block = jQuery('#video_modal_body').find('.video-item').clone();

		jQuery('.hidden-video-area').append(new_block);

		jQuery('#video_modal_title').html('');
		jQuery('#video_modal_body').find('.video-item').remove();

	});
</script>	