<?php

/**
 * The template Tabs Section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

?>

<div id="tabs-section" class="alexandria-section">

	<!-- Main Section -->

	<div class="alexandria-tabs">

		<div class="alexandria-tabs-wrapper">

			<div class="alexandria-tab active" data-tab="kickoff" id="defaultOpen">
				<?php _e('Kick-off', 'alexandria-conversation-builder'); ?>
			</div>

			<div class="alexandria-tab" data-tab="preparation" id="preparation_tab">
				<?php _e('Preparación', 'alexandria-conversation-builder'); ?>
			</div>

			<div class="alexandria-tab" data-tab="examples" id="examples_tab">
				<?php _e('Ejemplos', 'alexandria-conversation-builder'); ?>
			</div>

		</div>

	</div>

	<div class="alexandria-builder-block">

		<!-- Kick-Off Section -->
		<div id="kickoff" class="kickoff-section tab">

			<div class="show_information">
				<a id="toggle_information" href="#" alt="<?php _e('Mostrar Información','alexandria-conversation-builder'); ?>">
					<?php _e('Mostrar información',''); ?>
				</a>
			</div>

			<!-- Soliloquio Block -->
			<div id="soliloquio_block" class="kickoff-item">

				<div class="change-button-section">

					<a href="#" class="change-button change_soliloquio_button" data-position="left">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="change-button change_soliloquio_button" data-position="right">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

				</div>

				<div class="change-button-section-text">
					<span class="hidden-item">
						<?php _e('Soliloquio','alexandria-conversation-builder'); ?>
					</span>
				</div>

				<div id="soliloquio_title">
				</div>

				<div id="soliloquio_title_hidden" class="hidden_titles_box">
				</div>

			</div>
			<!-- End Soliloquio Block -->

			<!-- Conclusions Block -->
			<div id="conclusions_block" class="kickoff-item">

				<div class="change-button-section">

					<a href="#" class="change-button change_conclusions_button" data-position="left">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="change-button change_conclusions_button" data-position="right">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>
					
				</div>

				<div class="change-button-section-text">
					<span class="hidden-item">
						<?php _e('Conclusión','alexandria-conversation-builder'); ?>
					</span>
				</div>

				<span id="conclusions_title"></span>
				<div id="conclusions_title_hidden" class="hidden_titles_box"></div>

			</div>
			<!-- End Conclusions Block -->

			<!-- Decisions Block -->
			<div id="decisions_block" class="kickoff-item">
				<div class="change-button-section">

					<a href="#" class="change-button change_decisions_button" data-position="left">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="change-button change_decisions_button" data-position="right">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>
					
				</div>

				<div class="change-button-section-text">
					<span class="hidden-item">
						<?php _e('Decisión','alexandria-conversation-builder'); ?>
					</span>
				</div>

				<div id="decisions_title"></div>

				<div id="decisions_title_hidden" class="hidden_titles_box"></div>

			</div>
			<!-- End Decisions Block -->

			<div id="expect_results_block" class="kickoff-item">
				<div class="change-button-section">

					<a href="#" class="change-button change_expect_results_button" data-position="left">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="change-button change_expect_results_button" data-position="right">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

				</div>

				<div class="change-button-section-text">
					<span class="hidden-item">
						<?php _e('Resultado Esperado','alexandria-conversation-builder'); ?>
					</span>
				</div>

				<div id="expect_results_title">
				</div>

				<div id="expect_results_title_hidden" class="hidden_titles_box">
				</div>

			</div>

		</div>
		<!-- End Kick-Off Section -->

		<!-- Preparation Section -->
		<div id="preparation" class="preparation-section tab">

			<!-- Objective Block -->
			<div class="objective-principal">
				<span class="objective-principal-title"><?php _e('Objetivo principal','alexandria-conversation-builder'); ?></span>
				<span id="objective_title"></span>
			</div>

			<div class="objective-description">
				<span class="objective-description-title"><?php _e('Definición del objetivo','alexandria-conversation-builder'); ?></span>
				<span id="objective_description"></span>
			</div>
			<!-- Objective Block -->

			<!-- Preguntas Potentes Block -->
			<div id="preguntas_potentes_block" class="preparation-item">

				<span class="item-title"><?php _e('Preguntas Potentes','alexandria-conversation-builder'); ?></span>

				<div id="preguntas_potentes_wrapper" class="item-list">
				</div>	

			</div>
			<!-- End Preguntas Potentes Block -->

			<!-- Relevancia Block -->
			<div id="relevance_block" class="preparation-item">
				<span class="item-title"><?php _e('Relevancia','alexandria-conversation-builder'); ?></span>
				<span id="relevance_wrapper"></span>
			</div>
			<!-- End Relevancia Block -->

			<!-- Argumentos Block -->
			<div id="argumentos_block" class="preparation-item">
				<span class="item-title"><?php _e('Argumentos','alexandria-conversation-builder'); ?></span>
				<span id="arguments_wrapper" class="item-list"></span>
			</div>
			<!-- End Argumentos Block -->

			<!-- Mínimo Viable Block -->
			<div id="viable_minimal_block" class="preparation-item">
				<span class="item-title"><?php _e('Mínimo Viable','alexandria-conversation-builder') ?></span>
				<span id="viable_minimal_wrapper"></span>
			</div>
			<!-- End Mínimo Viable Block -->

			<!-- Comentarios Block -->
			<div id="comentarios_block" class="preparation-item more-padding">
				<span class="item-title"><?php _e('Comentarios','alexandria-conversation-builder') ?></span>
				<span id="comments_wrapper"></span>
			</div>
			<!-- End Comentarios Block -->

		</div>
		<!-- End Preparation Section -->

		<!-- Examples Section -->
		<div id="examples" class="examples-section tab">
		</div>
		<!-- End Examples Section -->

	</div>

	<!-- Button container Section -->
	<div id="alexandria-builder-button-container-tabs" class="alexandria-builder-button-container">

		<div class="alexandria-builder-button-wrapper">

			<a id="alexandria-builder-button-help" href="#">
				<img class="default-icon" src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/charla.svg'?>" alt="">
				<img class="hover-icon" src="<?php echo ALEXANDRIA_CONVERSATION_BUILDER_PUBLIC_URL.'assets/images/charla-white.svg'?>" alt="">
			</a>

			<a id="alexandria-builder-button-copy" href="#">
				<span class="tooltiptext" id="button_copy_tooltip">
					<?php _e('Copiado en el portapapeles', 'alexandria-conversation-builder'); ?>	
				</span>
				<?php _e('Copiar texto', 'alexandria-conversation-builder') ?>
			</a>

		</div>

	</div>
	<!-- End Button container Section -->
	
</div>